Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.reports
Class FilesWithMostRevisionsTableReport

    java.lang.Object
      net.sf.statcvs.reports.FilesWithMostRevisionsTableReport

All Implemented Interfaces:
  TableReport

public class FilesWithMostRevisionsTableReport
extends Object
implements TableReport

Table report for a table containing the files with most changes

Version:
  $Id: FilesWithMostRevisionsTableReport.java,v 1.7 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

Constructor Summary
`FilesWithMostRevisionsTableReport(ReportConfig config, SortedSet files, int maxRows)` Creates a table containing the files with most changes from a file list

Method Summary
`void` | `calculate()` Calculates the report from the source data.
`Table` | `getTable()` Returns the table data model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilesWithMostRevisionsTableReport

    public FilesWithMostRevisionsTableReport(ReportConfig config,
                                             SortedSet files,
                                             int maxRows)

  Creates a table containing the files with most changes from a file list

Parameters:
  `files` - a `SortedSet` of `VersionedFile`s
  `maxRows` - the maximum number of files displayed in the table

Method Detail

### calculate

    public void calculate()

  Description copied from interface: `TableReport`
  Calculates the report from the source data.

  Specified by:
    `calculate` in interface `TableReport`
  See Also:
    `TableReport.calculate()`

### getTable

    public Table getTable()

  Description copied from interface: `TableReport`
  Returns the table data model.

  Specified by:
    `getTable` in interface `TableReport`
  Returns:
    the table data model
  See Also:
    `TableReport.getTable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD